#include<stdio.h>
void ss(int a[],int p1,int p2,int n){
	int aa[p2-p1],pom=0;
	for(int i=p1-1;i<p2-1;i++){
		aa[pom]=a[i];
		pom++;
	}
	for(int i=0;i<p2-p1;i++){
		if(aa[i]>aa[i+1]){
		aa[i]=aa[i+1];
		break;
		}
	}
		for(int i=0;i<p2-p1-1;i++){
		if(aa[i]>aa[i+1]){
		printf("NE\n");
		return;
		}
	}
	printf("DA\n");
}
int main(){
	
	 int n;
	scanf("%d",&n);
	
	 int a[n];
	for( int i=0;i<n;i++){
		scanf("%d",&a[i]);
	}
	
	 int q;
	scanf("%d",&q);
	
	 int l[q],r[q];
	for( int i=0;i<q;i++){
		scanf("%d %d",&l[i],&r[i]);
	}
	
	for(int i=0;i<q;i++){
		ss(a,l[i],r[i],n);
	}
}